Ask Your Question
0

Juno Controller RabbitMQ v3.4.2 but Compute Node v3.33 RPC error?

asked 2015-06-30 23:44:29 -0500

grmarxer gravatar image

Hi Experts,

I have a three node Juno system running on Ubuntu 14.04. On the compute node I keep getting the following Endpoint does not support RPC version 3.33 to caller error when I launch a Nova instance. The Controller is running rabbitMQ v3.4.2. So I do not understand why the compute node thinks the endpoint does not support v3.33. I tried both rabbitMQ v3.3.3 and v3.5 on the compute node with the same result. Data below. Any suggestions?


    Nova Compute log
2015-06-30 21:10:32.072 3805 ERROR oslo.messaging.rpc.dispatcher [-] Exception during message handling: Endpoint does not support RPC version 3.33
2015-06-30 21:10:32.072 3805 TRACE oslo.messaging.rpc.dispatcher Traceback (most recent call last):
2015-06-30 21:10:32.072 3805 TRACE oslo.messaging.rpc.dispatcher   File "/usr/lib/python2.7/dist-packages/oslo/messaging/rpc/dispatcher.py", line 133, in _dispatch_and_reply
2015-06-30 21:10:32.072 3805 TRACE oslo.messaging.rpc.dispatcher     incoming.message))
2015-06-30 21:10:32.072 3805 TRACE oslo.messaging.rpc.dispatcher   File "/usr/lib/python2.7/dist-packages/oslo/messaging/rpc/dispatcher.py", line 185, in _dispatch
2015-06-30 21:10:32.072 3805 TRACE oslo.messaging.rpc.dispatcher     raise UnsupportedVersion(version)
2015-06-30 21:10:32.072 3805 TRACE oslo.messaging.rpc.dispatcher UnsupportedVersion: Endpoint does not support RPC version 3.33
2015-06-30 21:10:32.072 3805 TRACE oslo.messaging.rpc.dispatcher
2015-06-30 21:10:32.074 3805 ERROR oslo.messaging._drivers.common [-] Returning exception Endpoint does not support RPC version 3.33 to caller
2015-06-30 21:10:32.074 3805 ERROR oslo.messaging._drivers.common [-] ['Traceback (most recent call last):\n', '  File "/usr/lib/python2.7/dist-packages/oslo/messaging/rpc/dispatcher.py", line 133, in _dispatch_and_reply\n    incoming.message))\n', '  File "/usr/lib/python2.7/dist-packages/oslo/messaging/rpc/dispatcher.py", line 185, in _dispatch\n    raise UnsupportedVersion(version)\n', 'UnsupportedVersion: Endpoint does not support RPC version 3.33\n']

root@controller:/etc/rabbitmq# rabbitmqctl status
Status of node rabbit@controller ...
[{pid,4015},
 {running_applications,[{rabbit,"RabbitMQ","3.4.2"},
                        {os_mon,"CPO  CXC 138 46","2.2.14"},
                        {mnesia,"MNESIA  CXC 138 12","4.11"},
                        {xmerl,"XML parser","1.3.5"},
                        {sasl,"SASL  CXC 138 11","2.3.4"},
                        {stdlib,"ERTS  CXC 138 10","1.19.4"},
                        {kernel,"ERTS  CXC 138 10","2.16.4"}]},
 {os,{unix,linux}},

 root@controller:~# nova service-list
+----+------------------+------------+----------+---------+-------+----------------------------+-----------------+
| Id | Binary           | Host       | Zone     | Status  | State | Updated_at                 | Disabled Reason |
+----+------------------+------------+----------+---------+-------+----------------------------+-----------------+
| 1  | nova-cert        | controller | internal | enabled | up    | 2015-07-01T04:12:35.000000 | -               |
| 2  | nova-scheduler   | controller | internal | enabled | up    | 2015-07-01T04:12:35.000000 | -               |
| 3  | nova-consoleauth | controller | internal | enabled | up    | 2015-07-01T04:12:35.000000 | -               |
| 4  | nova-conductor   | controller | internal | enabled | up    | 2015-07-01T04:12:36.000000 | -               |
| 5  | nova-compute     | Compute1   | nova     | enabled | up    | 2015-07-01T04:12:38.000000 | -               |
+----+------------------+------------+----------+---------+-------+----------------------------+-----------------+
root@controller:~# neutron agent-list
+--------------------------------------+--------------------+----------+-------+----------------+---------------------------+
| id                                   | agent_type         | host     | alive | admin_state_up | binary                    |
+--------------------------------------+--------------------+----------+-------+----------------+---------------------------+
| 757fe28f-4e2d-4c64-909a-12a469d08df5 | Open vSwitch agent | network  | :-)   | True           | neutron-openvswitch-agent |
| 9eb4fb07-d76b-4924-adad-7cf2124a42ba | DHCP agent         | network  | :-)   | True           | neutron-dhcp-agent        |
| a1230bdb-e996-408c-bd93-d38f66080348 | L3 agent           | network  | :-)   | True           | neutron-l3-agent          |
| cce377eb-2df3-4252-b44f-9c46ed6fc192 | Metadata agent     | network  | :-)   | True           | neutron-metadata-agent    |
| e3b43ef5-2c81-4bd5-8938-0b9411c85a96 | Open vSwitch agent | Compute1 | :-)   | True           | neutron-openvswitch-agent |
+--------------------------------------+--------------------+----------+-------+----------------+---------------------------+
edit retag flag offensive close merge delete

1 answer

Sort by ยป oldest newest most voted
0

answered 2015-09-07 07:54:13 -0500

mriedem gravatar image

See the answers to this similar question:

https://ask.openstack.org/en/question...

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Get to know Ask OpenStack

Resources for moderators

Question Tools

1 follower

Stats

Asked: 2015-06-30 23:44:29 -0500

Seen: 900 times

Last updated: Sep 07 '15